2019-08-23 15:35 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005317Spring engineGeneralpublic2017-05-08 20:40
ReporterPenske 
Assigned ToKloot 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version103.0 
Target VersionFixed in Version103.0 +git 
Summary0005317: Lots of lag, upto 1000 - 2000ms pauses when zooming at any point in game, but worse with more units.
DescriptionWhen zooming or side scrolling, movement is extremely jerky and at times there's over a second pause making it almost unplayable. I notice my fps will drop by up to 80% for the moment of the pause or 'lag' then recover to normal. This never happens for me on engine 100 and a lot of players have shared the exact same experience playing on 103.
Steps To ReproduceI have tried disabling all Lui widgets, changing camera modes, fresh install, reducing graphics settings to minimum, but nothing helps.

This error below repeatedly appears with changing values:

Error: assert(CTO <= 1.3f) failed (SF=71164 : DF=219212 : CTO=1.337255 : WSF=0.030392 : DT=34.000000ms : DLNPPT=0.000000ms | DLRPT=34.000000ms | DSFPT=44.000000ms : NP=0)

Interestingly, on single player mode the lag seems almost non existent.
Additional InformationScreen shot: 5v5 on deltasiegedry

5 minutes: https://i.imgsafe.org/767c66f8cd.jpg
7 minutes: https://i.imgsafe.org/768407433e.jpg
15 minutes: https://i.imgsafe.org/768ca5b7d8.jpg
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0016554

FabriceFABS (reporter)

Same, 103 + BA9.38 + Desert_Delta_Siege-v01
Solo, min&max speed = 20

Look :
************
[f=0118340] Error: assert(CTO <= 1.3f) failed (SF=118340 : DF=35019 : CTO=1.993815 : WSF=0.220607 : DT=0.004165ms : DLNPPT=9.038882ms | DLRPT=9.038087ms | DSFPT=9.038014ms : NP=94)
[f=0118386] [ACE]FabriceFABS paused the game
[f=0118386] [ACE]FabriceFABS paused the game
[f=0118386] [ACE]FabriceFABS paused the game
[f=0118386] Error: assert(CTO >= LTO) failed (SF=118386 : DF=35022 : CTO=0.000000 : LTO=0.824265 : WSF=0.220607 : DT=0.000000ms)
************

http://replays.springrts.com/replay/a28c97571e47ad88aa1561e45ff94e30

~0016555

hokomoko (developer)

Error: assert(CTO <= 1.3f) failed (SF=118340 : DF=35019 : CTO=1.993815 : WSF=0.220607 : DT=0.004165ms : DLNPPT=9.038882ms | DLRPT=9.038087ms | DSFPT=9.038014ms : NP=94)

happens when you're in /debug

it's irrelevant to anything really. (should've moved it to debug print a long time ago)

~0016556

FabriceFABS (reporter)

OK I ignored this.

However, when I wanted to move the 938 peewees, it lagged a lot.
Maybe due to Speed 20 a bit too.

I do exatly same with TechA now.

~0016557

hokomoko (developer)

moving 1000 peewees in speed 20 isn't something that should be supported

~0016558

FabriceFABS (reporter)

Last edited: 2016-07-26 18:47

View 2 revisions

http://replays.springrts.com/replay/b491975762afd9d80ff52ea49e00f97c

103 + Desert_Delta_Siege-v01 + TechA 2.40.3 => With ~ 900 flashes & Speed Min/Max = 20.

Moves are less laggy than BA, and if it's a little lagged, it's really honest with speed set to 20.

~0016559

hokomoko (developer)

let's stop responding here though, since this report is an entirely different issue.
From the screenshots, something terrible is going in the frame grapher.
Like the CPU is wasting loads in non recorded areas of the engine.

~0017573

Kloot (developer)

I'm picking far-texture generation (fixed for 104) as the most probable cause here.
+Notes

-Issue History
Date Modified Username Field Change
2016-07-26 15:44 Penske New Issue
2016-07-26 15:44 Penske File Added: infolog.txt
2016-07-26 17:43 hokomoko Priority urgent => normal
2016-07-26 18:23 FabriceFABS Note Added: 0016554
2016-07-26 18:24 hokomoko Note Added: 0016555
2016-07-26 18:25 FabriceFABS Note Added: 0016556
2016-07-26 18:26 hokomoko Note Added: 0016557
2016-07-26 18:46 FabriceFABS Note Added: 0016558
2016-07-26 18:47 FabriceFABS Note Edited: 0016558 View Revisions
2016-07-26 18:58 hokomoko Note Added: 0016559
2017-05-08 20:40 Kloot Assigned To => Kloot
2017-05-08 20:40 Kloot Status new => resolved
2017-05-08 20:40 Kloot Resolution open => fixed
2017-05-08 20:40 Kloot Fixed in Version => 103.0 +git
2017-05-08 20:40 Kloot Note Added: 0017573
+Issue History